API ReferenceLogs

Search and retrieve tool execution logsv3.1

Markdown
POST
/api/v3.1/logs/tool_execution

Search and retrieve tool execution logs with filtering, pagination, and time range support.

x-api-key<token>

Project API key authentication

In: header

Request Body

application/json

limitnumber
Default: 20
cursornullable string
filtersarray of object
time_rangeobject

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://backend.composio.dev/api/v3.1/logs/tool_execution" \  -H "Content-Type: application/json" \  -d '{}'
{
  "logs": [
    {
      "id": "string",
      "timestamp": "2019-08-24T14:15:22Z",
      "type": "string",
      "status": "success",
      "level": "info",
      "message": "string",
      "metadata": {
        "property1": null,
        "property2": null
      },
      "metrics": {
        "property1": null,
        "property2": null
      },
      "parent": {
        "log_id": "string",
        "tool_slug": "string"
      }
    }
  ],
  "next_cursor": "string"
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}